Loading...
Searching...
No Matches
offilsys.h File Reference

Implementing the currently used subset of C++17' std::filesystem, i.e. various classes, free standing functions and global definitions as can be found in <filesystem>. More...

## Classes

class | OFpath
| A class representing paths on a filesystem. More...
class | OFdirectory_entry
| A class representing an directory entry. More...
class | OFdirectory_iterator
| An iterator for iterating over all the files (and folders) contained in a given filesystem location. More...

## Detailed Description

Implementing the currently used subset of C++17' std::filesystem, i.e. various classes, free standing functions and global definitions as can be found in <filesystem>.

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0